Subject: [seamoby] Re: [mobile-ip] Re: [seamoby-context] Resend:New Draft:Issues in Candidate Access Router Discovery

From: James Kempf <[email-masked]>
Date: Fri, 13 Jul 2001 10:19:21 -0700 (PDT)

Theo,

While it looks like your proactive draft has lots of good stuff in it,
since I've stopped doing international flights regularly, I don't
have large blocks of time for sitting still. So it may be hard
to go through the whole thing quickly, and I suspect that might be
true for others as well.

What I would like to suggest you may want to think about is to
carve out a few nuggets, like, for example, the CAR discovery protocol,
and put them into separate drafts, perhaps after IETF 51. 
Also, if you think you've got some good stuff on requirements for CAR discovery 
(what the draft that Govind et. al. wrote) is all about, then maybe we can get
together at IETF and talk about folding them into the CAR discovery
draft if they haven't already been covered, or even though the
mailing list. The CAR discovery draft is just at 00 now, and that must go 
through WG last call and IESG last call before the requirements are agreed to, 
so there is plenty of time.

		jak

>X-mProtect: Fri, 13 Jul 2001 10:08:21 -0700 Nokia Silicon Valley Messaging 
Protection
>Date: Fri, 13 Jul 2001 10:08:20 -0700
>From: Theo Pagtzis <[email-masked]>
>To: "Govind.Krishnamurthi" <[email-masked]>
>CC: mobile-ip <[email-masked]>, seamoby <[email-masked]>, 
seamoby-context <[email-masked]>
>Subject: [mobile-ip] Re: [seamoby-context] Resend:New Draft:Issues in Candidate 
Access Router  Discovery
>
>Govind,
>
>    I have already provided a detailed protocol on pessimistic and optimistic 
proactivity in
>terms of router neighbour determination and candidacy. Please see
>draft-pagtzis-mobileip-proactivev6-00.txt/.ps
>
>I have also gone a long way in specifying the notions of mobility and routing 
neighbourhood as well as
>provide an algorithm for their determination.
>
>My proactive mobility scheme contains as part of it, exactly what you are 
describing as very briefly as
>physical neighbourhood and its mapping to a routing neighbourhood. There are 
however much more issues that
>are not elaborated in the targer AR determination. These are also covered in 
the draft on proactive mobility.
>
>Also what is the date of your submission? Here your draft says it is July 2001. 
But what day?
>
>
>Theo
>
>UCL/ Mobile Systems
>
>
>"Govind.Krishnamurthi" wrote:
>
>> I'm resending the draft to the mailing list as I did not see it appear
>> in the  archives. Sorry if you receive multiple copies.
>> BRs,
>> Govind.
>>
>> Abstract:
>> Handoff in IP mobility protocols involves moving a mobile node's
>> Layer 3 routing reachability information from one access router to
>> another, before or after the mobile node has established a Layer 2
>> connection with the radio access point that is covered by the new
>> access router. In addition, other context information about the
>> mobile node's packet session may be transferred from the old access
>> router to the new one, in order to minimize the service disruption
>> during the handoff process. While the exact details of how this is
>> accomplished vary depending on the IP mobility and seamless handoff
>> protocols, one common thread required for seamless handoffs is
>> identifying the candidate access routers for the mobile node's
>> handoff. When a collection of candidates has been identified, an
>> algorithm is run to determine the target access router, and this
>> router becomes the target of handoff at Layer 3. This document
>> presents a problem statement describing issues involved in designing
>> a candidate access router discovery protocol. The document does not
>> discuss the algorithm by which the actual target router is
>> identified, nor how the handoff to the target is achieved.
>>
>> Comments are welcome.
>>
>> Best Regards,
>> Govind.
>>
>>  <<draft-ietf-seamoby-CARdiscovery-issues-00.txt>>
>>
>>   ------------------------------------------------------------------------
>>                                                        Name: 
draft-ietf-seamoby-CARdiscovery-issues-00.txt
>>    draft-ietf-seamoby-CARdiscovery-issues-00.txt       Type: Plain Text 
(text/plain)
>>                                                    Encoding: base64
>>                                                 Description: 
draft-ietf-seamoby-CARdiscovery-issues-00.txt

---

From: Theo Pagtzis <[email-masked]>
Date: Fri, 13 Jul 2001 11:20:53 -0700

HI James,

   My draft spec document has also got a contents section for faster scanning of
relevant sections. But nevermind.

I would be glad to discuss with you guys about the issues on CAR discovery at the
IETF in London.

I would like to propose then whether it would be possible to contribute to your
draft my sections on the particular aspect and participate in a joint design
process of that aspect on CAR discovery as a co-author. What do you think?

Theo

UCL/ Mobile Systems

---

From: Pat Calhoun <[email-masked]>
Date: Fri, 13 Jul 2001 13:21:57 -0700

> process of that aspect on CAR discovery as a co-author. What do you think?

I certainly encourage it

PatC

---

From: Theo Pagtzis <[email-masked]>
Date: Fri, 13 Jul 2001 13:53:36 -0700

Thanks Pat !

   This is definetely refreshing and more inspiring

Theo

UCL/ Mobile Systems